{% extends "_layout.html" %}

{% block title %}{{ status }}: {{ error }}{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <div class="jumbotron" style="margin-top: 1em;">
            <h1 class="text-center">{{ status }}</h1>
            <p class="lead text-center">
                {{ error }}!
            </p>
            <hr>
    {%- if exception and exception.description %}
        <p class="text-center">
            {{ exception.description | safe }}
        </p>
    {%- elif status == 400 %}
            <p class="text-center">
                {{ _('It seems you have done something naughty.') }}
            </p>
    {%- elif status == 403 %}
            <p class="text-center">
                {{ _('It seems you do not have sufficient permissions to access this resource.') }}
            </p>
    {%- elif status == 404 %}
            <p class="text-center">
                {{ _('We have looked hard, really really hard, but what you were looking for is just not there.') }}
            </p>
    {%- elif status == 405 %}
            <p class="text-center">
                {{ _('You have used HTTP method that is not valid for this URL.') }}
            </p>
    {%- elif status == 410 %}
            <p class="text-center">
                {{ _('What you were looking for is just not there anymore, it is gone forever.') }}
            </p>
    {%- elif status == 500 %}
            <p class="text-center">
                {{ _('We are sorry, but something on our side of the line went terribly wrong. Please try again later.') }}
            </p>
    {%- else %}
        {%- if message %}
            <p class="text-center">
                {{ message }}
            </p>
        {%- else %}
            <p class="text-center">
                {{ _('We are sorry, but something went wrong. Please try again later.') }}
            </p>
        {%- endif %}
    {%- endif %}
        </div>
    </div>
    <!-- /.col-lg-12 -->
</div>
{# When accessing static files, there is no identity in g so the can() function would raise an exception. #}
{%- if 'identity' in g and permission_can('developer') %}
    <hr>
    {{ macros_site.render_raw_var('status', status) }}
    {{ macros_site.render_raw_var('error', error) }}
    {{ macros_site.render_raw_var('message', message) }}
    {{ macros_site.render_raw_var('exception', exception) }}
    {{ macros_site.render_raw_var('description', exception.description) }}
{%- endif %}
{% endblock %}
